riak ubuntu 11 building problems

Jared Morrow jared at basho.com
Wed Nov 9 13:49:11 EST 2011


Like I said, you seem to be using R15 in your building of riak, that's why
you have a erts-5.9 directory instead of erts-5.8.4.   Please uninstall
your erlang version, and try using erlang-r14b03.   Using something like
kerl <https://github.com/spawngrid/kerl> will make it easier to manage
multiple versions of erlang.

Good luck,
Jared

On Wed, Nov 9, 2011 at 12:59 AM, Ivan Trajkovic <ivan.ebiz at gmail.com> wrote:

> @Andrew
> erlang builds fine every time, never had a problem with that.
> following the riak build sequence to the letter that you listed riak
> builds fine like last time
> but the same message comes up:
>
> //------------------------------------------------------------------------------------------------
> ~/Desktop/riak/rel/riak$ bin/riak start
> escript: Failed to open file:
> ~/Desktop/riak/rel/riak/erts-5.9/bin/nodetoolbellowescript: Failed to open
> file: ~/Desktop/riak/rel/riak/erts-5.9/bin/nodetool
>  Error reading ~/Desktop/riak/rel/riak/etc/app.config
>
> //------------------------------------------------------------------------------------------------
> so then I went ahead and tried out to see what happens if I move
> "nodetool" from erts-5.8.4 to erts-5-9, which is where it seems to be
> looking for it at, only to get further new errors:
>
> //------------------------------------------------------------------------------------------------
> ~/Desktop/riak/rel/riak$ mv erts-5.8.4/bin/nodetool erts-5.9/bin/
> ~/Desktop/riak/rel/riak$ bin/riak start
>
> Crash dump was written to: erl_crash.dump
>  init terminating in do_boot ()
>
> Crash dump was written to: erl_crash.dump
> init terminating in do_boot ()
> Error reading ~/Desktop/riak/rel/riak/etc/app.config
> {"init terminating in do_boot",{'cannot get bootfile','start_clean.boot'}}
>
> //------------------------------------------------------------------------------------------------
>
> thanks
>
> On Tue, Nov 8, 2011 at 11:44 PM, Andrew Musselman <
> andrew.musselman at gmail.com> wrote:
>
>>  Have you tried this series of commands?
>>
>>
>> wget http://erlang.org/download/otp_src_R14B03.tar.gz
>> tar xzvf otp_src_R14B03.tar.gz
>> cd otp_src_R14B03/
>> ./configure && make && sudo make install
>>
>> git clone https://github.com/basho/riak.git
>> cd riak/
>> git checkout 1.0.1-release
>> git fetch
>> git pull
>> make rel
>>
>> If that fails please answer with relevant errors along the way..
>>
>> Best
>> Andrew
>>
>>
>> On 11/08/2011 06:23 PM, Ivan Trajkovic wrote:
>>
>> I have ubuntu 11.04, not 11.10
>> could that be an issue
>>
>> On Tue, Nov 8, 2011 at 8:14 PM, Andrew Musselman <
>> andrew.musselman at gmail.com> wrote:
>>
>>>  I can confirm building both erlang and riak from source on Ubuntu 11.10
>>> works.
>>>
>>> That is, everything builds without any complaints or editing config
>>> files, and then I'm able to add an object to a riak client.
>>>
>>> wget http://erlang.org/download/otp_src_R14B03.tar.gz
>>> tar xzvf otp_src_R14B03.tar.gz
>>> cd otp_src_R14B03/
>>> ./configure && make && sudo make install
>>>
>>> git clone https://github.com/basho/riak.git
>>> cd riak/
>>> git checkout 1.0.1-release
>>> git fetch
>>> git pull
>>> make rel
>>>
>>> Thanks all for the advice.
>>>
>>> Best
>>>  Andrew
>>>
>>>
>>>
>>> On 11/08/2011 04:49 PM, Ivan Trajkovic wrote:
>>>
>>>  yep encountered that issue already and made sure Im using whats
>>> supported
>>> so R14B3, and checking out riak-1.0.1
>>>
>>> On Tue, Nov 8, 2011 at 7:17 PM, Jared Morrow <jared at basho.com> wrote:
>>>
>>>> When you say you are building from source (github) 1.0.1, are you doing
>>>> a 'git checkout riak-1.0.1' or building from 'master'?   One note, based on
>>>> your erts version, you are using a newer erlang than we support.   We have
>>>> not built or tested Riak against erlang R15.   Try using R14B02 or R14B03
>>>> for Riak 1.0.1.   If you are building Riak off of master, you can use
>>>> R14B04 as well.
>>>>
>>>>  -Jared
>>>>
>>>>  On Tue, Nov 8, 2011 at 3:45 PM, Ivan Trajkovic <ivan.ebiz at gmail.com>wrote:
>>>>
>>>>> hi Jared, thank you for your fast response...
>>>>> interestingly riak 1.0.1 does build now, from source (github)...
>>>>> unlike before... not really sure what changed.
>>>>> but the old errors are coming up again, when trying to start riak:
>>>>>
>>>>> ~/Desktop/riak/rel/riak$ bin/riak start
>>>>> escript: Failed to open file:
>>>>> ~/Desktop/riak/rel/riak/erts-5.9/bin/nodetool
>>>>> escript: Failed to open file:
>>>>> ~/Desktop/riak/rel/riak/erts-5.9/bin/nodetool
>>>>> Error reading ~/Desktop/riak/rel/riak/etc/app.config
>>>>>
>>>>>
>>>>> erts-5.9/bin/nodetool really isnt there
>>>>> app.config however is present, but Im guessing that error is dependent
>>>>> on the nodetool failure error coming up
>>>>>
>>>>>
>>>>>
>>>>  <Thread deleted for size constraints >
>>>>
>>>
>>>
>>>
>>>   _______________________________________________
>>> riak-users mailing listriak-users at lists.basho.comhttp://lists.basho.com/mailman/listinfo/riak-users_lists.basho.com
>>>
>>>
>>>
>>
>>
>> _______________________________________________
>> riak-users mailing listriak-users at lists.basho.comhttp://lists.basho.com/mailman/listinfo/riak-users_lists.basho.com
>>
>>
>>
>
> _______________________________________________
> riak-users mailing list
> riak-users at lists.basho.com
> http://lists.basho.com/mailman/listinfo/riak-users_lists.basho.com
>
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.basho.com/pipermail/riak-users_lists.basho.com/attachments/20111109/8eef9c7d/attachment.html>


More information about the riak-users mailing list